読者です 読者をやめる 読者になる 読者になる

日々精進

新しく学んだことを書き留めていきます

gradlew実行時に「No such property: projectDependencies for class: com.android.build.gradle.internal.api.ApplicationVariantImpl_Decorated」エラー

Android gradle

Android Gradle pluginのバージョンとandroid-aptのバージョンが合っていないことが原因。 以下のようにバージョンを修正すると直った。

        classpath 'com.neenbedankt.gradle.plugins:android-apt:1.4'
        classpath 'org.robolectric:robolectric-gradle-plugin:0.14.+'

参考: